Subject: Re: bash create UNIX format under cygwin root, not for other directory?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], lau bella <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Apr 2002 14:40:04 +0200

Hi Bella,

> I installed cygwin 1.3.10 in w2k c:\cygwin. I set
> CYGWIN=binmode tty mode, mount:

> c:\cygwin\bin on /usr/bin type system (binmode)
> c:\cygwin\lib on /usr/lib type system (binmode)
> c:\cygwin on / type system (binmode)
> c: on /cygdrive/c type system (binmode)

> I create home directory in c:\cygwin\home and run
> "bash " script (echo somethings to output file), the
> output file is in UNIX format correctly.

> I create another home directory in c:\data\home and
> run the same "bash" script, the output file is in DOS
> format.

> From previous post, i think the output file should be
> in UNIX format if the mount point are in binmode. 

Yes, but c:\data\home isn't mounted as your mount table shows.

> I would like know whether "bash" generates output file
> in UNIX format under cygwin root only.

One can say so.  If you mount the path to be under cygwinroot
(and it needs to be in binmode), then the files written there
are in binmode too.

Gerit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/